<h2>Galerie</h2>
<md-table-container>
<table md-table md-progress="$ctrl.model.promise" class="menusTable">
	<thead md-head md-order="$ctrl.model.query.order">
		<tr md-row>
			<th md-column md-order-by="name"><span>Jméno</span></th>
			<th md-column><span>Filtr</span></th>
			<th md-column><span>Zobrazení</span></th>
			<th md-column><span>Aktivní</span></th>
			<th md-column class="actionsColumnHeader">Akce</th>
		</tr>
	</thead>
	<tbody md-body>
		<tr md-row md-select="gallery" md-select-id="id" md-auto-select
			ng-repeat="gallery in $ctrl.model.galleries | orderBy:$ctrl.model.query.order | limitTo:$ctrl.model.query.limit: ($ctrl.model.query.page -1) * $ctrl.model.query.limit">
			<td md-cell>{{gallery.name}}</td>
			<td md-cell>{{$ctrl.getFilterVerbose(gallery.filter)}}</td>
			<td md-cell>{{gallery.views}}</td>
			<td md-cell>
				<md-checkbox ng-model="gallery.active" aria-label="Active?'" ng-click="$ctrl.activateGallery(gallery)">
				</md-checkbox>
			</td>
			<td md-cell class="actionsCell">
				<div layout="row">
					<a title="edit" href='' ng-click="$ctrl.editGallery($event, gallery)"><i class="material-icons">mode_edit</i></a>
					<!--<a title="delete" href='' ng-click="$ctrl.deleteGallery($event, family)"><i class="material-icons">delete</i></a>-->
				</div>
			</td>
		</tr>
	</tbody>
</table>
</md-table-container>
<md-table-pagination md-limit="$ctrl.model.query.limit"
	md-limit-options="[5, 10, 15]" md-page="$ctrl.model.query.page"
	md-total="{{$ctrl.model.galleries.length}}" md-on-paginate="$ctrl.getGalleries"
	md-page-select></md-table-pagination>